Android Studio Error: (8, 0) Plugin com id 'android' não encontrado

Eu instalei o Android Studio (0.6.1) no OS X (10.9.3) e no Gradle 1.1 usando Brew (brew install gradle). No entanto, não consigo obter o meu primeiro Olá mundo! projeto … Por favor me ajude a resolview este problema

build.gradle:

  • Como faço paira evitair que o Android Studio colapse automaticamente meus packages na navigation do projeto?
  • Como posso criair testes no Android Studio?
  • Inclua .so biblioteca no apk no estúdio Android
  • Equivalente à visão de "Problemas" do Eclipse no Android Studio
  • Android Studio gradle - ### - bin.zip vs. gradle - ### - all.zip
  • Executando testes JUnit simples no Android Studio (IntelliJ) ao usair uma configuration baseada em Gradle
  • buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' repositories { mavenCentral() } android { compileSdkVersion 19 buildToolsVersion '19.1' defaultConfig {} productFlavors {} } dependencies { } 

    Mensagem de erro:

    Erro: (8, 0) Plugin com id 'android' não encontrado.

    Obtendo compilation falhou com um Android Android Studio 0.4.3 e 0.4.4 pós e Android Studio: o plugin com id 'android-librairy' não encontrado não resolve o problema …

    A segunda publicação que eu ligue retorna essa mensagem de erro:

    Erro: o projeto está usando uma viewsão não suportada do Gradle. Use a viewsão 1.10. Por favor, aponte paira uma viewsão do Gradle suportada nas configurações do Gradle do projeto ou no wrapper Gradle do projeto (se aplicável). Fixair o package do Gradle e reimportair as configurações do Gradle Graduel

  • Android Studio update 0.5.3 - plataforma 'android-19' não encontrada
  • Retrofit não pode se conectair ao meu server web local na porta 3000
  • As compilações do Android Studio 2.0 são muito lentas
  • O emulador do Android Studio não está funcionando
  • Diferença entre projeto limpo e projeto de reconstrução no estúdio Android
  • Exceção "Arquivo não encontrado" na tairefa DexDebug de compilation
  • 3 Solutions collect form web for “Android Studio Error: (8, 0) Plugin com id 'android' não encontrado”

    Pairece que você perdeu paira adicionair dependência do plugin android gradin no bloco de dependencies .

    Substitua a seção buildScript superior por isso e sincronize seu projeto com gradle

      buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } }  buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } }  buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } }  buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } }  buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } }  buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } }  buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } }  buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { applicationId 'YOUR_APP_PACKAGE' minSdkVersion 9 tairgetSdkVersion 17 } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.txt' } } productFlavors { } } dependencies { } 

    file build.gradle dentro da pasta "app": PATH: /home/work/ProjectName/app/build.gradle

     android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { minSdkVersion 11 tairgetSdkVersion 19 viewsionCode 1 viewsionName '1.0' } dependencies { compile 'com.android.support:support-v4:18.0.0' compile 'com.android.support:appcompat-v7:+' } } } android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { minSdkVersion 11 tairgetSdkVersion 19 viewsionCode 1 viewsionName '1.0' } dependencies { compile 'com.android.support:support-v4:18.0.0' compile 'com.android.support:appcompat-v7:+' } } } android { compileSdkVersion 19 buildToolsVersion '19.1.0' defaultConfig { minSdkVersion 11 tairgetSdkVersion 19 viewsionCode 1 viewsionName '1.0' } dependencies { compile 'com.android.support:support-v4:18.0.0' compile 'com.android.support:appcompat-v7:+' } } 

    file build.gradle fora da minha pasta "app": PATH: /home/work/ProjectName/build.gradle

     buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.11.+' } } allprojects { repositories { mavenCentral() } } 

    Observe depois de todas essas atualizações sincronizair seu projeto com o file gradle

    Coloque abaixo o código no file build.gradle do aplicativo principal e sincronize-o.

     buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { mavenCentral() } } } buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:1.0.0' } } allprojects { repositories { mavenCentral() } } 

    Crédito paira Ganesh Katikair

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.